# Class CIM_Magazine
extends CIM_StorageMediaLocation

StorageMediaLocations are typically slots or spaces where removable media are located. However, a specific kind of MediaLocation is a Magazine. This entity represents a single physical container with multiple StorageMediaLocations in it. All the MediaLocations within the Magazine are added/removed together. Often, this container has a Barcode or other label for identification. This is the unique data captured in the CIM_Magazine class. Magazine's label properties are defined exactly as are labels for PhysicalMedia.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_PhysicalElement
|
+--CIM_PhysicalPackage
|
+--CIM_PackageLocation
|
+--CIM_StorageMediaLocation
|
+--CIM_Magazine

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

StorageMediaLocations are typically slots or spaces where removable media are located. However, a specific kind of MediaLocation is a Magazine. This entity represents a single physical container with multiple StorageMediaLocations in it. All the MediaLocations within the Magazine are added/removed together. Often, this container has a Barcode or other label for identification. This is the unique data captured in the CIM_Magazine class. Magazine's label properties are defined exactly as are labels for PhysicalMedia.

UMLPackagePath | string | CIM::Physical::StoragePackage
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LabelFormats | uint16[] |
ArrayType | string | Indexed
Description | string | An array of enumerated integers describing the formats of each of the labels on a Magazine. The Labels themselves are listed in the PhysicalLabels property. Note, each entry of this array is related to the entry in PhysicalLabels that is located at the same index.
ModelCorrespondence | string | CIM_Magazine.PhysicalLabels
ValueMap | string | 0, 1, 2, 3, 4, 5
Values | string | Barcode, Radio Frequency Identification, OCR (Optical Character Recognition), MICR (Magnetic Ink Character Recognition), 7 Character Barcode, 9 Character Barcode
LabelStates | uint16[] |
ArrayType | string | Indexed
Description | string | An array of enumerated integers describing the states of each of the labels on a Magazine. The Labels themselves are listed in the PhysicalLabels property. Note, each entry of this array is related to the entry in PhysicalLabels that is located at the same index.
ModelCorrespondence | string | CIM_Magazine.PhysicalLabels
ValueMap | string | 0, 1, 2
Values | string | OK/Readable, Unreadable, Upside Down
PhysicalLabels | string[] |
ArrayType | string | Indexed
Description | string | One or more strings on 'labels' on the Magazine. The format of the labels and their state (readable, unreadable, upside-down) are indicated in the corresponding LabelFormats and LabelStates array properties.
ModelCorrespondence | string | CIM_Magazine.LabelStates, CIM_Magazine.LabelFormats

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
CanBeFRUed | boolean | CIM_PhysicalElement
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_PhysicalElement
Depth | real32 | CIM_PhysicalPackage
Description | string | CIM_PhysicalElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_PhysicalElement
HealthState | uint16 | CIM_ManagedSystemElement
Height | real32 | CIM_PhysicalPackage
HotSwappable | boolean | CIM_PhysicalPackage
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
LocationCoordinates | string | CIM_PackageLocation
LocationType | uint16 | CIM_StorageMediaLocation
ManufactureDate | datetime | CIM_PhysicalElement
Manufacturer | string | CIM_PhysicalElement
MediaCapacity | uint32 | CIM_StorageMediaLocation
Model | string | CIM_PhysicalElement
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherIdentifyingInfo | string | CIM_PhysicalElement
OtherPackageType | string | CIM_PhysicalPackage
PackageType | uint16 | CIM_PhysicalPackage
PartNumber | string | CIM_PhysicalElement
PoweredOn | boolean | CIM_PhysicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Removable | boolean | CIM_PhysicalPackage
RemovalConditions | uint16 | CIM_PhysicalPackage
Replaceable | boolean | CIM_PhysicalPackage
SerialNumber | string | CIM_PhysicalElement
SKU | string | CIM_PhysicalElement
Status | string | CIM_ManagedSystemElement
Tag | string | CIM_PhysicalElement
UserTracking | string | CIM_PhysicalElement
VendorEquipmentType | string | CIM_PhysicalElement
Version | string | CIM_PhysicalElement
Weight | real32 | CIM_PhysicalPackage
Width | real32 | CIM_PhysicalPackage
MediaSizesSupported | real32[] | CIM_StorageMediaLocation
MediaTypesSupported | uint16[] | CIM_StorageMediaLocation
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement
TypeDescriptions | string[] | CIM_StorageMediaLocation
VendorCompatibilityStrings | string[] | CIM_PhysicalPackage

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
IsCompatible | uint32 | CIM_PhysicalPackage